Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.caucho.server.http
Class ServletServer

    java.lang.Object
      |
      +--com.caucho.server.http.ServletServer

All Implemented Interfaces:
  com.caucho.server.Server

public class ServletServer
extends java.lang.Object
implements com.caucho.server.Server

Base class for HTTP and Runner servers.

Field Summary
`protected WriteStream` | `dbg`

Constructor Summary
`ServletServer(Path config, RegistryNode registry, Path pwd)` Create a new servlet server from the given registry.

Method Summary
`void` | `close()` On shutdown, gracefully close the hosts.
`void` | `cron(long now)` Timeout for cron jobs
`com.caucho.server.ServerStat` | `getDayStat()`
`com.caucho.server.ServerStat` | `getHourStat()`
`com.caucho.server.ServerStat` | `getMinuteStat()`
`com.caucho.server.TcpServer` | `getServer()`
`int` | `getSlowThreads()`
`long` | `getStartTime()`
`void` | `setServer(com.caucho.server.TcpServer server)`
`void` | `timeout(long now)` Propagates the reaper callback to the hosts.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### dbg

    protected WriteStream dbg

Constructor Detail

### ServletServer

    public ServletServer(Path config,
                         RegistryNode registry,
                         Path pwd)
                  throws java.lang.Exception

  Create a new servlet server from the given registry.
  Parameters:
    `registry` - server configuration
    `pwd` - file context to be used as the serverRoot.

Method Detail

### setServer

    public void setServer(com.caucho.server.TcpServer server)

  Specified by:
    `setServer` in interface `com.caucho.server.Server`

### getServer

    public com.caucho.server.TcpServer getServer()

### timeout

    public void timeout(long now)

  Propagates the reaper callback to the hosts.
  Specified by:
    `timeout` in interface `com.caucho.server.Server`
  Parameters:
    `now` - current time.

### cron

    public void cron(long now)

  Timeout for cron jobs
  Specified by:
    `cron` in interface `com.caucho.server.Server`
  Parameters:
    `now` - current time.

### getMinuteStat

    public com.caucho.server.ServerStat getMinuteStat()

### getHourStat

    public com.caucho.server.ServerStat getHourStat()

### getDayStat

    public com.caucho.server.ServerStat getDayStat()

### getStartTime

    public long getStartTime()

### getSlowThreads

    public int getSlowThreads()

### close

    public void close()

  On shutdown, gracefully close the hosts.
  Specified by:
    `close` in interface `com.caucho.server.Server`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD